Subject: Books

From: Victor Guest <[email-masked]>
Date: Sat, 25 Oct 1997 19:04:50 WST

Hi Mark et al,
I know I am "speaking out of turn" so to speak, but want to mention an 
author that I think Mark and Susie would find interesting. Michael Roads 
is an Australian author who writes on the more esoteric side of relating 
to nature. Mark, you might enjoy "Talking with Nature", and "Simple is 
Powerful" (your mentioning you are looking for your perfect haven 
reminded me of Roads's books). If you enjoy those books, you will no 
doubt also enjoy his others.
Noel
Mark Rowe wrote:

Noel McNaughton
Holistic Management Consultant
RR 1, Winfield, Alberta, Canada  T0C 2X0
Phone/Fax: 403-682-2331  email: [email-masked]